summaryrefslogtreecommitdiff
path: root/source3/script/tests/t_001.sh
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2005-08-03 06:24:28 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:00:23 -0500
commitb549e4903dd8d3df5197fd1a025ee68b8d6b2da7 (patch)
treef8129ffa00357634fd4cfb2358c648dab47541b1 /source3/script/tests/t_001.sh
parentc731d11471ea9edd762b4cdb67bac06e77cb6f45 (diff)
downloadsamba-b549e4903dd8d3df5197fd1a025ee68b8d6b2da7.tar.gz
samba-b549e4903dd8d3df5197fd1a025ee68b8d6b2da7.tar.bz2
samba-b549e4903dd8d3df5197fd1a025ee68b8d6b2da7.zip
r8992: More make test work. Adding a way to order tests (might change
my mind on this later). (This used to be commit 136fe3f15e74686882f7c1e5a46fcc0bcf7d51a6)
Diffstat (limited to 'source3/script/tests/t_001.sh')
-rw-r--r--source3/script/tests/t_001.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/source3/script/tests/t_001.sh b/source3/script/tests/t_001.sh
new file mode 100644
index 0000000000..86837050c7
--- /dev/null
+++ b/source3/script/tests/t_001.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+. $SCRIPTDIR/functions
+
+cat >$CONFFILE<<EOF
+[global]
+ netbios name = LOCALHOST
+ workgroup = $DOMAIN
+
+ private dir = $PRIVATEDIR
+ pid directory = $PIDDIR
+ lock directory = $LOCKDIR
+ log file = $LOGDIR/log.%m
+
+ interfaces = lo
+ bind interfaces only = yes
+
+ panic action = $PREFIX_ABS/script/tests/gdb_backtrace /proc/%d/exe %d
+
+[test]
+ path = $TMPDIR
+ read only = no
+EOF
+
+
+smbd $CONFIGURATION || exit $?
+sleep 1
+smbclient $CONFIGURATION -L localhost -N -p 139
+
+killall smbd